CMSIS-Driver: Driver_ETH_PHY.h File Reference

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Typedefs
Driver_ETH_PHY.h File Reference

## Data Structures

struct | ARM_DRIVER_ETH_PHY
| Access structure of the Ethernet PHY Driver. More...

## Macros

#define | ARM_ETH_PHY_API_VERSION ARM_DRIVER_VERSION_MAJOR_MINOR(2,2) /* API version */
#define | _ARM_Driver_ETH_PHY_(n) Driver_ETH_PHY##n
#define | ARM_Driver_ETH_PHY_(n) _ARM_Driver_ETH_PHY_(n)
#define | ARM_ETH_PHY_SPEED_Pos 0
#define | ARM_ETH_PHY_SPEED_Msk (3UL << ARM_ETH_PHY_SPEED_Pos)
#define | ARM_ETH_PHY_SPEED_10M (ARM_ETH_SPEED_10M << ARM_ETH_PHY_SPEED_Pos)
| 10 Mbps link speed More...
#define | ARM_ETH_PHY_SPEED_100M (ARM_ETH_SPEED_100M << ARM_ETH_PHY_SPEED_Pos)
| 100 Mbps link speed More...
#define | ARM_ETH_PHY_SPEED_1G (ARM_ETH_SPEED_1G << ARM_ETH_PHY_SPEED_Pos)
| 1 Gpbs link speed More...
#define | ARM_ETH_PHY_DUPLEX_Pos 2
#define | ARM_ETH_PHY_DUPLEX_Msk (1UL << ARM_ETH_PHY_DUPLEX_Pos)
#define | ARM_ETH_PHY_DUPLEX_HALF (ARM_ETH_DUPLEX_HALF << ARM_ETH_PHY_DUPLEX_Pos)
| Half duplex link. More...
#define | ARM_ETH_PHY_DUPLEX_FULL (ARM_ETH_DUPLEX_FULL << ARM_ETH_PHY_DUPLEX_Pos)
| Full duplex link. More...
#define | ARM_ETH_PHY_AUTO_NEGOTIATE (1UL << 3)
| Auto Negotiation mode. More...
#define | ARM_ETH_PHY_LOOPBACK (1UL << 4)
| Loop-back test mode. More...
#define | ARM_ETH_PHY_ISOLATE (1UL << 5)
| Isolate PHY from MII/RMII interface. More...

## Typedefs

typedef int32_t(* | ARM_ETH_PHY_Read_t )(uint8_t phy_addr, uint8_t reg_addr, uint16_t *data)
| Pointer to ARM_ETH_MAC_PHY_Read : Read Ethernet PHY Register. More...
typedef int32_t(* | ARM_ETH_PHY_Write_t )(uint8_t phy_addr, uint8_t reg_addr, uint16_t data)
| Pointer to ARM_ETH_MAC_PHY_Write : Write Ethernet PHY Register. More...

## Macro Definition Documentation

#define ARM_ETH_PHY_API_VERSION ARM_DRIVER_VERSION_MAJOR_MINOR(2,2) /* API version */

#define _ARM_Driver_ETH_PHY_ | ( |  | n | ) | Driver_ETH_PHY##n

#define ARM_Driver_ETH_PHY_ | ( |  | n | ) | _ARM_Driver_ETH_PHY_(n)

#define ARM_ETH_PHY_SPEED_Pos 0

#define ARM_ETH_PHY_SPEED_Msk (3UL << ARM_ETH_PHY_SPEED_Pos)

#define ARM_ETH_PHY_DUPLEX_Pos 2

#define ARM_ETH_PHY_DUPLEX_Msk (1UL << ARM_ETH_PHY_DUPLEX_Pos)